<div class="banner-container">
    <span class="banner">
        <ng-container *ngIf="sectionOneDesktopBannerContent !== undefined;else mobileView">
            <img *ngIf="!isDesktop" [src]="hostName + sectionOneBannerContent?.media?.url" alt="banner"/>
            <img *ngIf="isDesktop" [src]="hostName + sectionOneDesktopBannerContent?.media?.url"  alt="banner"/>
        </ng-container>
        <ng-template #mobileView>
            <img [src]="hostName + sectionOneBannerContent?.media?.url" alt="banner"/>
        </ng-template>
    </span>
    <ng-content></ng-content>
</div>